Jekyll: wrong number of arguments (given 2, expected 1) (ArgumentError)

Trying to jekyll serve in my project but I have the following issue (with the trance flag -t)

Configuration file: /Users/victor/Documents/Github/vict0rsch/vict0rsch.github.io/_config.yml
            Source: .
       Destination: ./_site
 Incremental build: disabled. Enable with --incremental
      Generating...
Traceback (most recent call last):
    26: from /usr/local/bin/jekyll:22:in `<main>'
    25: from /usr/local/bin/jekyll:22:in `load'
    24: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/exe/jekyll:15:in `<top (required)>'
    23: from /usr/local/lib/ruby/gems/2.6.0/gems/mercenary-0.3.6/lib/mercenary.rb:19:in `program'
    22: from /usr/local/lib/ruby/gems/2.6.0/gems/mercenary-0.3.6/lib/mercenary/program.rb:42:in `go'
    21: from /usr/local/lib/ruby/gems/2.6.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:in `execute'
    20: from /usr/local/lib/ruby/gems/2.6.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:in `each'
    19: from /usr/local/lib/ruby/gems/2.6.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:in `block in execute'
    18: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/serve.rb:75:in `block (2 levels) in init_with_program'
    17: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/serve.rb:93:in `start'
    16: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/serve.rb:93:in `each'
    15: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/serve.rb:93:in `block in start'
    14: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/build.rb:36:in `process'
    13: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/commands/build.rb:65:in `build'
    12: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/command.rb:28:in `process_site'
    11: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/site.rb:69:in `process'
    10: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/site.rb:166:in `read'
     9: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/hooks.rb:102:in `trigger'
     8: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/hooks.rb:102:in `each'
     7: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-3.8.5/lib/jekyll/hooks.rb:103:in `block in trigger'
     6: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets.rb:24:in `block in <top (required)>'
     5: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets.rb:24:in `new'
     4: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets/env.rb:48:in `initialize'
     3: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets/env.rb:48:in `new'
     2: from /usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets/manifest.rb:29:in `initialize'
     1: from /usr/local/lib/ruby/gems/2.6.0/gems/sprockets-4.0.0/lib/sprockets/manifest.rb:56:in `initialize'
/usr/local/lib/ruby/gems/2.6.0/gems/jekyll-assets-3.0.12/lib/jekyll/assets/manifest.rb:58:in `find_directory_manifest': wrong number of arguments (given 2, expected 1) (ArgumentError)

I don't even know where to start investigating from here.

Note that I'm aware and have tried this and that questions.

1 answer